Subject: [DUG]: Speaking of things massive...
From: Luke Pascoe <[email-masked]>
To: Multiple recipients of list delphi <[email-masked]>
Date: Mon, 16 Jul 2001 17:09:32 +1200

Has anyone worked with file lists in the millions? I'm having trouble
building an on-screen display of files once the number gets above 20K or so.

The TListView handles the numbers, but takes ages (15 mins per 100,000
files, getting slower as more files are added).

The TListBox is fast but croaks after 10K files in everything except Win2k.

I can generate the file list in memory in a matter of seconds, but can't
find a quick way to display them on screen. If worst comes to worst I'll use
a TDrawGrid since it seems to handle the numbers and is quick, but that
strikes me as an ugly way to do it.

Any ideas?

Luke Pascoe.
---------------------------------------------------------------------------
    New Zealand Delphi Users group - Delphi List - [email-masked]
                  Website: http://www.delphi.org.nz
To UnSub, send email to: [email-masked] 
with body of "unsubscribe delphi"
Web Archive at: http://www.mail-archive.com/delphi%40delphi.org.nz/